%Author:	Dimme
%Descr:		Cartesian to spherical for Stewart convention (Calculus-Early Transcendals)
%		        theta in [0, 2pi)
%		        phi in [0, pi]
%		        r in [0, \infty]
%
%		        x = rcos(theta)sin(phi)
%		        y = rsin(theta)sin(phi)
%		        z = rcos(phi)
%
%               note that, at phi=0 or phi=pi, the value theta is arbitrary. Similarly for r=0.  

function [R, THETA, PHI] = fnc_cart2sph(X, Y, Z)
	THETA  = atan2(Y,X);
	PHI = atan2(sqrt(X.^2 + Y.^2), Z);
	R = sqrt(X.^2 + Y.^2 + Z.^2);

    THETA(THETA<0) = THETA(THETA<0)+2*pi;
    PHI(PHI<0) = PHI(PHI<0)+pi;
end
